SDL_PutAudioStreamData(3)

NAME
SDL_PutAudioStreamData - Add data to the stream.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_PutAudioStreamData(SDL_AudioStream *stream, const void *buf, int len);

DESCRIPTION
This data must match the format/channels/samplerate specified in the latest call to SDL_SetAudioStreamFormat , or the format specified when creating the stream if it hasn't been changed. Note that this call simply copies the unconverted data for later. This is different than SDL2, where data was converted during the Put call and the Get call would just dequeue the previously-converted data.

FUNCTION PARAMETERS

stream
    The stream the audio data is being added to

buf A pointer to the audio data to add

len The number of bytes to write to the stream

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread, but if the stream has a callback set, the caller might need to manage extra locking.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ClearAudioStream(3), SDL_FlushAudioStream(3), SDL_GetAudioStreamData(3), SDL_GetAudioStreamQueued(3)